edu.internet2.ndt

## Class NDTUtils

- java.lang.Object
- - edu.internet2.ndt.NDTUtils

-     public class NDTUtils
      extends Object

  Class that defines utility methods used by the NDT code

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NDTUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isEmpty(String str)` Utility method to check if the given string is empty ("") or null.
    `static boolean` | `isNotEmpty(String str)` Utility method to check if the given string is not empty ("") or null.
    `static String` | `prtdbl(double paramDblToFormat)` Utility method to print double value up to the hundredth place.
    `static String` | `prttxt(int paramIntVal, ResourceBundle paramResBundObj)` Utility method to print Text values for data speed related keys.
    `static String` | `urlEncode(String str)` Utility method to encode the given string using UTF-8 encoding

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NDTUtils

          public NDTUtils()

  - ### Method Detail

    - #### isEmpty

          public static boolean isEmpty(String str)

      Utility method to check if the given string is empty ("") or null.
      Parameters:
        `str` - String to check
      Returns:
        true is the given string is empty; otherwise false

    - #### isNotEmpty

          public static boolean isNotEmpty(String str)

      Utility method to check if the given string is not empty ("") or null.
      Parameters:
        `str` - String to check
      Returns:
        true is the given string is not empty; otherwise false

    - #### prtdbl

          public static String prtdbl(double paramDblToFormat)

      Utility method to print double value up to the hundredth place.
      Parameters:
        `paramDblToFormat` - Double numbers to format
      Returns:
        String value of double number

    - #### prttxt

          public static String prttxt(int paramIntVal,
                                      ResourceBundle paramResBundObj)

      Utility method to print Text values for data speed related keys.
      Parameters:
        `paramIntVal` - integer parameter for which we find text value
      Returns:
        String Textual name for input parameter

    - #### urlEncode

          public static String urlEncode(String str)

      Utility method to encode the given string using UTF-8 encoding
      Parameters:
        `str` - String to encode
      Returns:
        encoded string with replacing '+' to '%20'